<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/libGEdefs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">libGEdefs.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="lib_g_edefs_8h__dep__incl.png" border="0" usemap="#src_2lib_g_edefs_8hdep" alt=""/></div>
<!-- MAP 0 -->
</div>
</div>
<p><a href="lib_g_edefs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ae2c87d003d0d1473ab3c668d68df93ea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ae2c87d003d0d1473ab3c668d68df93ea">libGEVersion</a>&#160;&#160;&#160;&quot;0.31.0&quot;</td></tr>
<tr class="separator:ae2c87d003d0d1473ab3c668d68df93ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdeb2790d5c7f9f36dfba1ca085fccb6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#afdeb2790d5c7f9f36dfba1ca085fccb6">GALIB_INCLUDEPATH</a>&#160;&#160;&#160;&lt;ga/ga.h&gt;</td></tr>
<tr class="separator:afdeb2790d5c7f9f36dfba1ca085fccb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad04bb0ed01a92469678e309a483d0065"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ad04bb0ed01a92469678e309a483d0065">GE_ILLIGALSGA</a></td></tr>
<tr class="separator:ad04bb0ed01a92469678e309a483d0065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ee1617ff2f6885ef384a3dd46f9b9d7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a0ee1617ff2f6885ef384a3dd46f9b9d7">HAVE_DLFCN_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a0ee1617ff2f6885ef384a3dd46f9b9d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab90a030ff2790ebdc176660a6dd2a478"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ab90a030ff2790ebdc176660a6dd2a478">HAVE_INTTYPES_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ab90a030ff2790ebdc176660a6dd2a478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14503280ca0cb757db915eea09282bfc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a14503280ca0cb757db915eea09282bfc">HAVE_MALLOC</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a14503280ca0cb757db915eea09282bfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93a78f9d076138897af441c9f86f285"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ae93a78f9d076138897af441c9f86f285">HAVE_MEMORY_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ae93a78f9d076138897af441c9f86f285"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6cd6d1c63c1e26ea2d4537b77148354"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ab6cd6d1c63c1e26ea2d4537b77148354">HAVE_STDINT_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ab6cd6d1c63c1e26ea2d4537b77148354"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e0e434ec1a6ddbd97db12b5a32905e0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a9e0e434ec1a6ddbd97db12b5a32905e0">HAVE_STDLIB_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a9e0e434ec1a6ddbd97db12b5a32905e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a405d10d46190bcb0320524c54eafc850"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a405d10d46190bcb0320524c54eafc850">HAVE_STRINGS_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a405d10d46190bcb0320524c54eafc850"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4c234dd1625255dc626a15886306e7d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ad4c234dd1625255dc626a15886306e7d">HAVE_STRING_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ad4c234dd1625255dc626a15886306e7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace156430ba007d19b4348a950d0c692b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ace156430ba007d19b4348a950d0c692b">HAVE_SYS_STAT_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ace156430ba007d19b4348a950d0c692b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69dc70bea5d1f8bd2be9740e974fa666"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a69dc70bea5d1f8bd2be9740e974fa666">HAVE_SYS_TYPES_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a69dc70bea5d1f8bd2be9740e974fa666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a219b06937831d0da94d801ab13987639"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a219b06937831d0da94d801ab13987639">HAVE_UNISTD_H</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a219b06937831d0da94d801ab13987639"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2d5925d76379847dd9fc4747b061659"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ac2d5925d76379847dd9fc4747b061659">LT_OBJDIR</a>&#160;&#160;&#160;&quot;.libs/&quot;</td></tr>
<tr class="separator:ac2d5925d76379847dd9fc4747b061659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d1d2d7f8d2f95b376954d649ab03233"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a1d1d2d7f8d2f95b376954d649ab03233">PACKAGE_BUGREPORT</a>&#160;&#160;&#160;&quot;libge@yahoo.com&quot;</td></tr>
<tr class="separator:a1d1d2d7f8d2f95b376954d649ab03233"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c0439e4355794c09b64274849eb0279"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a1c0439e4355794c09b64274849eb0279">PACKAGE_NAME</a>&#160;&#160;&#160;&quot;libGE&quot;</td></tr>
<tr class="separator:a1c0439e4355794c09b64274849eb0279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac73e6f903c16eca7710f92e36e1c6fbf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ac73e6f903c16eca7710f92e36e1c6fbf">PACKAGE_STRING</a>&#160;&#160;&#160;&quot;libGE 0.31.0&quot;</td></tr>
<tr class="separator:ac73e6f903c16eca7710f92e36e1c6fbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af415af6bfede0e8d5453708afe68651c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#af415af6bfede0e8d5453708afe68651c">PACKAGE_TARNAME</a>&#160;&#160;&#160;&quot;libGE&quot;</td></tr>
<tr class="separator:af415af6bfede0e8d5453708afe68651c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c93853116d5a50307b6744f147840aa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a5c93853116d5a50307b6744f147840aa">PACKAGE_URL</a>&#160;&#160;&#160;&quot;&quot;</td></tr>
<tr class="separator:a5c93853116d5a50307b6744f147840aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa326a05d5e30f9e9a4bb0b4469d5d0c0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#aa326a05d5e30f9e9a4bb0b4469d5d0c0">PACKAGE_VERSION</a>&#160;&#160;&#160;&quot;0.31.0&quot;</td></tr>
<tr class="separator:aa326a05d5e30f9e9a4bb0b4469d5d0c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a550e5c272cc3cf3814651721167dcd23"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a550e5c272cc3cf3814651721167dcd23">STDC_HEADERS</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a550e5c272cc3cf3814651721167dcd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a4f67fdf3f14cde3b17d2465bf9ebb9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a6a4f67fdf3f14cde3b17d2465bf9ebb9">_ALL_SOURCE</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a6a4f67fdf3f14cde3b17d2465bf9ebb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a369266c24eacffb87046522897a570d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#a369266c24eacffb87046522897a570d5">_GNU_SOURCE</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a369266c24eacffb87046522897a570d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad44924736167f82a10ae2891fc98a608"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ad44924736167f82a10ae2891fc98a608">_POSIX_PTHREAD_SEMANTICS</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ad44924736167f82a10ae2891fc98a608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca41d2cbf86c3393115fc92f87289dff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#aca41d2cbf86c3393115fc92f87289dff">_TANDEM_SOURCE</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:aca41d2cbf86c3393115fc92f87289dff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab27cf1abd092548f1c51632e6ae35a37"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="lib_g_edefs_8h.html#ab27cf1abd092548f1c51632e6ae35a37">__EXTENSIONS__</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ab27cf1abd092548f1c51632e6ae35a37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ab27cf1abd092548f1c51632e6ae35a37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab27cf1abd092548f1c51632e6ae35a37">&#9670;&nbsp;</a></span>__EXTENSIONS__</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __EXTENSIONS__&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a4f67fdf3f14cde3b17d2465bf9ebb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a4f67fdf3f14cde3b17d2465bf9ebb9">&#9670;&nbsp;</a></span>_ALL_SOURCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _ALL_SOURCE&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a369266c24eacffb87046522897a570d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a369266c24eacffb87046522897a570d5">&#9670;&nbsp;</a></span>_GNU_SOURCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _GNU_SOURCE&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad44924736167f82a10ae2891fc98a608"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad44924736167f82a10ae2891fc98a608">&#9670;&nbsp;</a></span>_POSIX_PTHREAD_SEMANTICS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _POSIX_PTHREAD_SEMANTICS&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aca41d2cbf86c3393115fc92f87289dff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca41d2cbf86c3393115fc92f87289dff">&#9670;&nbsp;</a></span>_TANDEM_SOURCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _TANDEM_SOURCE&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afdeb2790d5c7f9f36dfba1ca085fccb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdeb2790d5c7f9f36dfba1ca085fccb6">&#9670;&nbsp;</a></span>GALIB_INCLUDEPATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GALIB_INCLUDEPATH&#160;&#160;&#160;&lt;ga/ga.h&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad04bb0ed01a92469678e309a483d0065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad04bb0ed01a92469678e309a483d0065">&#9670;&nbsp;</a></span>GE_ILLIGALSGA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GE_ILLIGALSGA</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ee1617ff2f6885ef384a3dd46f9b9d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ee1617ff2f6885ef384a3dd46f9b9d7">&#9670;&nbsp;</a></span>HAVE_DLFCN_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_DLFCN_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab90a030ff2790ebdc176660a6dd2a478"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab90a030ff2790ebdc176660a6dd2a478">&#9670;&nbsp;</a></span>HAVE_INTTYPES_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_INTTYPES_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a14503280ca0cb757db915eea09282bfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14503280ca0cb757db915eea09282bfc">&#9670;&nbsp;</a></span>HAVE_MALLOC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_MALLOC&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae93a78f9d076138897af441c9f86f285"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae93a78f9d076138897af441c9f86f285">&#9670;&nbsp;</a></span>HAVE_MEMORY_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_MEMORY_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6cd6d1c63c1e26ea2d4537b77148354"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6cd6d1c63c1e26ea2d4537b77148354">&#9670;&nbsp;</a></span>HAVE_STDINT_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_STDINT_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e0e434ec1a6ddbd97db12b5a32905e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e0e434ec1a6ddbd97db12b5a32905e0">&#9670;&nbsp;</a></span>HAVE_STDLIB_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_STDLIB_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4c234dd1625255dc626a15886306e7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4c234dd1625255dc626a15886306e7d">&#9670;&nbsp;</a></span>HAVE_STRING_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_STRING_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a405d10d46190bcb0320524c54eafc850"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a405d10d46190bcb0320524c54eafc850">&#9670;&nbsp;</a></span>HAVE_STRINGS_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_STRINGS_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ace156430ba007d19b4348a950d0c692b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace156430ba007d19b4348a950d0c692b">&#9670;&nbsp;</a></span>HAVE_SYS_STAT_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_SYS_STAT_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a69dc70bea5d1f8bd2be9740e974fa666"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69dc70bea5d1f8bd2be9740e974fa666">&#9670;&nbsp;</a></span>HAVE_SYS_TYPES_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_SYS_TYPES_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a219b06937831d0da94d801ab13987639"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a219b06937831d0da94d801ab13987639">&#9670;&nbsp;</a></span>HAVE_UNISTD_H</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_UNISTD_H&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2c87d003d0d1473ab3c668d68df93ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2c87d003d0d1473ab3c668d68df93ea">&#9670;&nbsp;</a></span>libGEVersion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define libGEVersion&#160;&#160;&#160;&quot;0.31.0&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac2d5925d76379847dd9fc4747b061659"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2d5925d76379847dd9fc4747b061659">&#9670;&nbsp;</a></span>LT_OBJDIR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LT_OBJDIR&#160;&#160;&#160;&quot;.libs/&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d1d2d7f8d2f95b376954d649ab03233"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d1d2d7f8d2f95b376954d649ab03233">&#9670;&nbsp;</a></span>PACKAGE_BUGREPORT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PACKAGE_BUGREPORT&#160;&#160;&#160;&quot;libge@yahoo.com&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c0439e4355794c09b64274849eb0279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c0439e4355794c09b64274849eb0279">&#9670;&nbsp;</a></span>PACKAGE_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PACKAGE_NAME&#160;&#160;&#160;&quot;libGE&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac73e6f903c16eca7710f92e36e1c6fbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac73e6f903c16eca7710f92e36e1c6fbf">&#9670;&nbsp;</a></span>PACKAGE_STRING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PACKAGE_STRING&#160;&#160;&#160;&quot;libGE 0.31.0&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af415af6bfede0e8d5453708afe68651c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af415af6bfede0e8d5453708afe68651c">&#9670;&nbsp;</a></span>PACKAGE_TARNAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PACKAGE_TARNAME&#160;&#160;&#160;&quot;libGE&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c93853116d5a50307b6744f147840aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c93853116d5a50307b6744f147840aa">&#9670;&nbsp;</a></span>PACKAGE_URL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PACKAGE_URL&#160;&#160;&#160;&quot;&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa326a05d5e30f9e9a4bb0b4469d5d0c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa326a05d5e30f9e9a4bb0b4469d5d0c0">&#9670;&nbsp;</a></span>PACKAGE_VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PACKAGE_VERSION&#160;&#160;&#160;&quot;0.31.0&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a550e5c272cc3cf3814651721167dcd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a550e5c272cc3cf3814651721167dcd23">&#9670;&nbsp;</a></span>STDC_HEADERS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define STDC_HEADERS&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
